Skip to main content

Changes the current service that will be served for the visit that is in queue

PUT 

/rest/entrypoint/branches/:branchId/visits/:visitId/services/:serviceId

Changes the current service that will be served for the visit that is in queue. The visit will remain in the same queue, depending on the segmentation rules and work profile setup, this might lead to the visit being served by staff member that does not have the prerequisites to serve the new service. For this reason it might be necessary to also transfer the visit to another queue which would normally contain visits for the new service. It is not possible to change service if the current service has outcomes or delivered service.

Example of usage : curl -i -u user:password -X PUT -H 'content-type:application/json' http://orchestra-ip:orchestra-port/rest/entrypoint/branches/{branchId}/visits/{visitId}/services/{serviceId}

@summary Changes the current service that will be served for the visit that is in queue. @param branchId id of branch @param visitId id of visit @param serviceId original id from central for service. @return A Json object of UserStatus @throws QException

Request​

Responses​